Page MenuHomePhabricator

Patch: wfShellExec() malfunctioning on NT Build 7100
Closed, ResolvedPublic

Description

Patch for GlobalFunctions.php

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The original function provided a pair of extra quotes to the command after "cmd.exe /c", which will cause it fail to run. For example, when running [[mw:Extension:CodeReview]]::svnImport.php, it generates:

cmd.exe /c ""svn diff -r29:30 --non-interactive --trust-server-cert "/* REPO PATH */"""

And this will cause a "The filename, directory name, or volume label syntax is incorrect." error.

Maybe the patch will fix it. Best regards.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (MingW32)

iD8DBQFKj/QgRsiNGHPeu/URAsMuAJ4lySnYXXcPSuGUgwCROgnmNS48+QCfYs5yszJ9QWMzlJezFIuUlTUj/BA==qUgX
-----END PGP SIGNATURE-----


Version: unspecified
Severity: normal
OS: Windows Vista

Attached:

Details

Reference
bz20353

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:57 PM
bzimport set Reference to bz20353.
bzimport added a subscriber: Unknown Object (MLST).
jimmyxu created this task.Aug 22 2009, 1:36 PM
demon added a comment.Aug 22 2009, 3:31 PM

Cf bug 13518.

demon added a comment.Sep 21 2009, 7:50 PM

Patch applied in r56731

Exactly what behavior difference do you see between XP and Vista here? Where is the second pair of quotes being generated? MediaWiki only appears to produce one pair of quotes, so is the second one from PHP? If so, is this something to do with XP vs Vista or is it the version of PHP?

Cleaned up in r57093. Was fixed in PHP 5.3.0, not in a particular build of Windows.